Menu

apiMyStatements

RequêteClé requise

Arguments

Aucun

Retourne

[SellerStatementView!]!

Exemple

GraphQL
query ApiMyStatements {
  apiMyStatements {
    adjustmentsMillimes
    closingAvailableMillimes
    closingHeldMillimes
    closingPendingMillimes
    commissionHtMillimes
    commissionTvaMillimes
    deductions {
      amountMillimes
      feeInvoiceId
      id
      invoiceNumber
      legacyInvoiceId
      method
      organizationId
      paidAt
      reference
      source
      statementId
      statementNumber
    }
    deferredAt
    deferredReason
    feeInvoice {
      createdAt
      error
      hasPdf
      hasXlsx
      id
      issuedAt
      kind
      organizationId
      paidMillimes
      paymentStatus
      statementId
      status
      totalHtMillimes
      totalTtcMillimes
      totalTvaMillimes
    }
    feeTotalsByKindJson
    feesHtMillimes
    feesTvaMillimes
    grossSalesMillimes
    hasFiles
    id
    inFlightMillimes
    issuedAt
    legacyTransactionIds
    lineCount
    notifiedAt
    number
    odooBillRef
    openingAvailableMillimes
    organizationId
    paidMillimes
    paymentStatus
    payments {
      amountMillimes
      bankReference
      batchId
      batchNo
      bounceReason
      bouncedAt
      cancelReason
      cancelledAt
      createdAt
      hasProof
      holderName
      ibanLast4
      id
      method
      organizationId
      partnerId
      partnerName
      partnerStatementId
      payeeKind
      proofContentType
      proofSha256
      proofUploadedAt
      scheduledFor
      sentAt
      settledAt
      statementId
      statementNumber
      status
      trigger
    }
    payoutId
    payoutMillimes
    periodEndAt
    periodStartAt
    refundsMillimes
    residualMillimes
    sequence
    shopName
    source
    totalsJson
    withholdingMillimes
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiMyStatements { apiMyStatements { adjustmentsMillimes closingAvailableMillimes closingHeldMillimes closingPendingMillimes commissionHtMillimes commissionTvaMillimes deductions { amountMillimes feeInvoiceId id invoiceNumber legacyInvoiceId method organizationId paidAt reference source statementId statementNumber } deferredAt deferredReason feeInvoice { createdAt error hasPdf hasXlsx id issuedAt kind organizationId paidMillimes paymentStatus statementId status totalHtMillimes totalTtcMillimes totalTvaMillimes } feeTotalsByKindJson feesHtMillimes feesTvaMillimes grossSalesMillimes hasFiles id inFlightMillimes issuedAt legacyTransactionIds lineCount notifiedAt number odooBillRef openingAvailableMillimes organizationId paidMillimes paymentStatus payments { amountMillimes bankReference batchId batchNo bounceReason bouncedAt cancelReason cancelledAt createdAt hasProof holderName ibanLast4 id method organizationId partnerId partnerName partnerStatementId payeeKind proofContentType proofSha256 proofUploadedAt scheduledFor sentAt settledAt statementId statementNumber status trigger } payoutId payoutMillimes periodEndAt periodStartAt refundsMillimes residualMillimes sequence shopName source totalsJson withholdingMillimes } }"}'